Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.transaction
Class DummyBaseTransactionManager

    java.lang.Object
      org.jboss.cache.transaction.DummyBaseTransactionManager

All Implemented Interfaces:
  java.io.Serializable, javax.transaction.TransactionManager

Direct Known Subclasses:
  BatchModeTransactionManager, DummyTransactionManager

    public class DummyBaseTransactionManager

extends java.lang.Object
implements javax.transaction.TransactionManager, java.io.Serializable

Version:
  $Revision: 1.3 $ Date: May 15, 2003 Time: 4:11:37 PM
Author:
  bela
See Also:
  Serialized Form

Constructor Summary
`DummyBaseTransactionManager()`

Method Summary
`void` | `begin()` Starts a new transaction, and associate it with the calling thread.
`void` | `commit()` Commit the transaction associated with the calling thread.
`int` | `getStatus()` Get the status of the transaction associated with the calling thread.
`javax.transaction.Transaction` | `getTransaction()` Get the transaction associated with the calling thread.
`void` | `resume(javax.transaction.Transaction tx)` Resume the association of the calling thread with the given transaction.
`void` | `rollback()` Rolls back the transaction associated with the calling thread.
`void` | `setRollbackOnly()` Mark the transaction associated with the calling thread for rollback only.
`void` | `setTransaction(javax.transaction.Transaction tx)` Just used for unit tests
`void` | `setTransactionTimeout(int seconds)` Change the transaction timeout for transactions started by the calling thread with the `begin()` method.
`javax.transaction.Transaction` | `suspend()` Suspend the association the calling thread has to a transaction, and return the suspended transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyBaseTransactionManager

    public DummyBaseTransactionManager()

Method Detail

### begin

    public void begin()
               throws javax.transaction.NotSupportedException,
                      javax.transaction.SystemException

  Starts a new transaction, and associate it with the calling thread.

  Specified by:
    `begin` in interface `javax.transaction.TransactionManager`
  Throws:
    `javax.transaction.NotSupportedException` - If the calling thread is already associated with a transaction, and nested transactions are not supported.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### commit

    public void commit()
                throws javax.transaction.RollbackException,
                       javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException,
                       java.lang.SecurityException,
                       java.lang.IllegalStateException,
                       javax.transaction.SystemException

  Commit the transaction associated with the calling thread.

  Specified by:
    `commit` in interface `javax.transaction.TransactionManager`
  Throws:
    `javax.transaction.RollbackException` - If the transaction was marked for rollback only, the transaction is rolled back and this exception is thrown.
    `java.lang.IllegalStateException` - If the calling thread is not associated with a transaction.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.
    `javax.transaction.HeuristicMixedException` - If a heuristic decision was made and some some parts of the transaction have been committed while other parts have been rolled back.
    `javax.transaction.HeuristicRollbackException` - If a heuristic decision to roll back the transaction was made.
    `java.lang.SecurityException` - If the caller is not allowed to commit this transaction.

### rollback

    public void rollback()
                  throws java.lang.IllegalStateException,
                         java.lang.SecurityException,
                         javax.transaction.SystemException

  Rolls back the transaction associated with the calling thread.

  Specified by:
    `rollback` in interface `javax.transaction.TransactionManager`
  Throws:
    `java.lang.IllegalStateException` - If the transaction is in a state where it cannot be rolled back. This could be because the calling thread is not associated with a transaction, or because it is in the `prepared state`.
    `java.lang.SecurityException` - If the caller is not allowed to roll back this transaction.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### setRollbackOnly

    public void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                javax.transaction.SystemException

  Mark the transaction associated with the calling thread for rollback only.

  Specified by:
    `setRollbackOnly` in interface `javax.transaction.TransactionManager`
  Throws:
    `java.lang.IllegalStateException` - If the transaction is in a state where it cannot be rolled back. This could be because the calling thread is not associated with a transaction, or because it is in the `prepared state`.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### getStatus

    public int getStatus()
                  throws javax.transaction.SystemException

  Get the status of the transaction associated with the calling thread.

  Specified by:
    `getStatus` in interface `javax.transaction.TransactionManager`
  Returns:
    The status of the transaction. This is one of the `Status` constants. If no transaction is associated with the calling thread, `Status.STATUS_NO_TRANSACTION` is returned.
  Throws:
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### getTransaction

    public javax.transaction.Transaction getTransaction()
                                                 throws javax.transaction.SystemException

  Get the transaction associated with the calling thread.

  Specified by:
    `getTransaction` in interface `javax.transaction.TransactionManager`
  Returns:
    The transaction associated with the calling thread, or `null` if the calling thread is not associated with a transaction.
  Throws:
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws javax.transaction.SystemException

  Change the transaction timeout for transactions started by the calling thread with the `begin()` method.

  Specified by:
    `setTransactionTimeout` in interface `javax.transaction.TransactionManager`
  Parameters:
    `seconds` - The new timeout value, in seconds. If this parameter is `0`, the timeout value is reset to the default value.
  Throws:
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### suspend

    public javax.transaction.Transaction suspend()
                                          throws javax.transaction.SystemException

  Suspend the association the calling thread has to a transaction, and return the suspended transaction. When returning from this method, the calling thread is no longer associated with a transaction.

  Specified by:
    `suspend` in interface `javax.transaction.TransactionManager`
  Returns:
    The transaction that the calling thread was associated with, or `null` if the calling thread was not associated with a transaction.
  Throws:
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### resume

    public void resume(javax.transaction.Transaction tx)
                throws javax.transaction.InvalidTransactionException,
                       java.lang.IllegalStateException,
                       javax.transaction.SystemException

  Resume the association of the calling thread with the given transaction.

  Specified by:
    `resume` in interface `javax.transaction.TransactionManager`
  Parameters:
    `tx` - The transaction to be associated with the calling thread.
  Throws:
    `javax.transaction.InvalidTransactionException` - If the argument does not represent a valid transaction.
    `java.lang.IllegalStateException` - If the calling thread is already associated with a transaction.
    `javax.transaction.SystemException` - If the transaction service fails in an unexpected way.

### setTransaction

    public void setTransaction(javax.transaction.Transaction tx)

  Just used for unit tests

  Parameters:
    `tx` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.